## org.eclipse.emf.ecore.change.util
Class ChangeAdapterFactory

    java.lang.Object
      org.eclipse.emf.common.notify.impl.AdapterFactoryImpl
          org.eclipse.emf.ecore.change.util.ChangeAdapterFactory

All Implemented Interfaces:
  AdapterFactory

Direct Known Subclasses:
  ChangeItemProviderAdapterFactory

    public class ChangeAdapterFactory

extends AdapterFactoryImpl

The Adapter Factory for the model. It provides an adapter `createXXX` method for each class of the model.

See Also:
  `ChangePackage`

Field Summary
`protected static ChangePackage` `modelPackage` The cached model package
`protected ChangeSwitch<Adapter>` `modelSwitch` The switch the delegates to the `createXXX` methods

Constructor Summary
`ChangeAdapterFactory()` Creates an instance of the adapter factory

Method Summary
`Adapter` `createAdapter(Notifier target)` Creates an adapter for the `target`
`Adapter` `createChangeDescriptionAdapter()` Creates a new adapter for an object of class '`Description`'
`Adapter` `createEObjectAdapter()` Creates a new adapter for the default case
`Adapter` `createEObjectToChangesMapEntryAdapter()` Creates a new adapter for an object of class '`EObject To Changes Map Entry`'
`Adapter` `createFeatureChangeAdapter()` Creates a new adapter for an object of class '`Feature Change`'
`Adapter` `createFeatureMapEntryAdapter()` Creates a new adapter for an object of class '`Feature Map Entry`'
`Adapter` `createListChangeAdapter()` Creates a new adapter for an object of class '`List Change`'
`Adapter` `createResourceChangeAdapter()` Creates a new adapter for an object of class '`Resource Change`'
`boolean` `isFactoryForType(java.lang.Object object)` Returns whether this factory is applicable for the type of the object

Methods inherited from class org.eclipse.emf.common.notify.impl.AdapterFactoryImpl
`adapt, adapt, adaptAllNew, adaptNew, associate, createAdapter, resolve`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### modelPackage

    protected static ChangePackage modelPackage

  The cached model package.

### modelSwitch

    protected ChangeSwitch<Adapter> modelSwitch

  The switch the delegates to the `createXXX` methods.

Constructor Detail

### ChangeAdapterFactory

    public ChangeAdapterFactory()

  Creates an instance of the adapter factory.

Method Detail

### isFactoryForType

    public boolean isFactoryForType(java.lang.Object object)

  Returns whether this factory is applicable for the type of the object. This implementation returns `true` if the object is either the model's package or is an instance object of the model.

  Specified by:
    `isFactoryForType` in interface `AdapterFactory`
  Overrides:
    `isFactoryForType` in class `AdapterFactoryImpl`
  Parameters:
    `object` - the key indicating the type of adapter in question.
  Returns:
    whether this factory is applicable for the type of the object.
  See Also:
    `Adapter.isAdapterForType(java.lang.Object)`

### createAdapter

    public Adapter createAdapter(Notifier target)

  Creates an adapter for the `target`.

  Overrides:
    `createAdapter` in class `AdapterFactoryImpl`
  Parameters:
    `target` - the object to adapt.
  Returns:
    the adapter for the `target`.
  See Also:
    `AdapterFactoryImpl.createAdapter(Notifier)`

### createChangeDescriptionAdapter

    public Adapter createChangeDescriptionAdapter()

  Creates a new adapter for an object of class '`Description`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `ChangeDescription`

### createEObjectToChangesMapEntryAdapter

    public Adapter createEObjectToChangesMapEntryAdapter()

  Creates a new adapter for an object of class '`EObject To Changes Map Entry`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `Map.Entry`

### createFeatureChangeAdapter

    public Adapter createFeatureChangeAdapter()

  Creates a new adapter for an object of class '`Feature Change`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `FeatureChange`

### createListChangeAdapter

    public Adapter createListChangeAdapter()

  Creates a new adapter for an object of class '`List Change`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `ListChange`

### createResourceChangeAdapter

    public Adapter createResourceChangeAdapter()

  Creates a new adapter for an object of class '`Resource Change`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `ResourceChange`

### createFeatureMapEntryAdapter

    public Adapter createFeatureMapEntryAdapter()

  Creates a new adapter for an object of class '`Feature Map Entry`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `FeatureMapEntry`

### createEObjectAdapter

    public Adapter createEObjectAdapter()

  Creates a new adapter for the default case. This default implementation returns null.

  Returns:
    the new adapter.

Copyright 2001-2006 IBM Corporation and others. All Rights Reserved.